/*************************************************************************/
/* wavelength.h                                                          */
/*                                                                       */
/* Wavelength conversions                                                */ 
/*                                                                       */
/* Author:                                                               */
/*   Bernhard Mayer                                                      */
/*   National Center for Atmospheric Research (NCAR),                    */
/*   P.O. Box 3000, Boulder, CO 80307, USA                               */
/*                                                                       */
/* ----------------------------------------------------------------------*/
/* Copyright (C) 1998 Bernhard Mayer                                     */
/*                                                                       */
/* This program is free software; you can redistribute it and/or modify  */
/* it under the terms of the GNU General Public License as published by  */
/* the Free Software Foundation; either version 1, or (at your option)   */
/* any later version.                                                    */
/*                                                                       */
/* This program is distributed in the hope that it will be useful,       */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of        */
/* MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the          */
/* GNU General Public License for more details.                          */
/*                                                                       */
/* To obtain a copy of the GNU General Public License write to the       */
/* Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,    */
/* USA.                                                                  */
/*-----------------------------------------------------------------------*/
/*************************************************************************/

#ifndef __wavelength_h
#define __wavelength_h

#if defined (__cplusplus)
extern "C" {
#endif
  
/* prototypes */
double air_refraction (double lambda);
int    vac2air (double *lambda, double *irradiance, int rows,
		char reverse, char linear,
		double **irradiance_shifted);
    
    
#if defined (__cplusplus)
    }
#endif

#endif
