/************************************************************************/
/*                                                                      */
/* Copyright (C) 1997 Arve Kylling                                      */
/*                                                                      */
/* This program is free software; you can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 1, or (at your option)  */
/* any later version.                                                   */
/*                                                                      */
/* This program is distributed in the hope that it will be useful,      */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY of FITNESS FOR A PARTICULAR PURPOSE. See the         */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* To obtain a copy of the GNU General Public License write to the      */
/* Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,   */
/* USA.                                                                 */
/*----------------------------------------------------------------------*/
/************************************************************************/

#ifndef __uvspec_anc_h
#define __uvspec_anc_h

#include <stdio.h>
#include "uvspec.h"

int arb_wvn( int n_old_x, float *old_x, float *old_y,  
	      int n_new_x, float *new_x, float *new_y, int linear);
int read_aerosol_tau(char* aerosol_filename, int nlyr, int nlambda_t, 
		     float* zd, float** dtau);
int read_albedo(char* albedo_filename,  atm_inp_struct *atm_inp, atm_out_struct *atm_out); 
int read_atmosphere(char* atmosphere_filename, atm_inp_struct *atm_inp, 
		    atm_out_struct *atm_out, int other_column);
int shift_atmosphere(atm_inp_struct *atm_inp, 
		     atm_out_struct *atm_out);

int read_extraterrestrial(char* extraterrestrial_filename, 
			  wl_inp_struct *wl_inp, wl_out_struct *wl_out,
			  float wl_start, float wl_end);
int read_sza(char* sza_filename,  atm_inp_struct *atm_inp, atm_out_struct *atm_out);
int set_transmittance_wl_grid(wl_inp_struct *wl_inp, wl_out_struct *wl_out);

int convolve(input_struct input, output_struct *output);
int spline_interpolate(input_struct input, output_struct *output);

#endif



